Bug 456656 - Can't get network access to scanner
Can't get network access to scanner
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 07:47 EDT by Matthew Saltzman
Modified: 2009-07-22 17:43 EDT (History)
0 users

See Also:
Fixed In Version: 1.0.20-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 17:43:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lshal on affected machine (101.91 KB, text/plain)
2008-07-25 07:47 EDT, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2008-07-25 07:47:32 EDT
Description of problem:
I have an Epson Expression 800 SCSI scanner.  It is detected with no
problem as /dev/sg0 and gets user root, group lp and permissions
-rw-rw---.  So root can see the scanner, but regular users and network
users can't see it.  Changing the permissions to -rw-rw-rw by hand makes
the scanner accessible to local users, but still not over the LAN.  And
of course, it won't be preserved across reboots.

I added the network IP range to /etc/sane.d/saned.conf and added
localhost to /etc/sane.d/net.conf, configured /etc/xinetd.d/sane-daemon
as it was when it worked in F8, and opened port 6566 in the firewall.

Any idea what I'm missing?

Version-Release number of selected component (if applicable):
sane-backends-1.0.19-10.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. See above
2.
3.
  
Actual results:
No network or regular user access to scanner

Expected results:
Network and regular users have scanner access

Additional info:
Comment 1 Matthew Saltzman 2008-07-25 07:47:32 EDT
Created attachment 312639 [details]
Output of lshal on affected machine
Comment 2 Nils Philippsen 2008-07-29 09:53:24 EDT
Your scanner doesn't advertise itself as such, but as a "processor" device. I'll
contact upstream about how we should work this.
Comment 3 Matthew Saltzman 2008-07-29 20:41:58 EDT
OK

FYI:

$ sudo sane-find-scanner 

  # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

found SCSI processor "EPSON Expression800 1.02" at /dev/scanner
found SCSI processor "EPSON Expression800 1.02" at /dev/sg0
  # Your SCSI scanner was detected. It may or may not be supported by SANE. Try
  # scanimage -L and read the backend's manpage.

  # No USB scanners found. If you expected something different, make sure that
  # you have loaded a kernel driver for your USB host controller and have setup
  # the USB system correctly. See man sane-usb for details.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.

$ sudo scanimage -L
device `epson2:/dev/sg0' is a Epson Expression800 flatbed scanner
device `epson:/dev/sg0' is a Epson Expression800 flatbed scanner

After setting permissions to crw-rw-rw, I get the same results without sudo.  No
network access even if the firewall is down.

And from dmesg:

scsi 0:0:6:0: Processor         EPSON    Expression800    1.02 PQ: 0 ANSI: 2
 target0:0:6: Beginning Domain Validation
 target0:0:6: Ending Domain Validation
...
scsi 0:0:6:0: Attached scsi generic sg0 type 3
sd 1:0:0:0: Attached scsi generic sg1 type 0
scsi 2:0:4:0: Attached scsi generic sg2 type 1
sr 2:0:5:0: Attached scsi generic sg3 type 5
Comment 4 Matthew Saltzman 2008-09-23 14:28:21 EDT
While we wait for upstream, is there any file that I can hand-edit to work around this issue?  I'd like to be able to use the scanner in the meantime.

Thanks.
Comment 5 Bug Zapper 2009-06-09 22:14:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nils Philippsen 2009-06-10 12:14:05 EDT
Sorry for taking so long. You can try to insert these lines into 
/usr/share/hal/fdi/policy/10osvendor/19-libsane.fdi (be sure to make a backup of it as this file is purposefully not marked as configuration and will be overwritten with each update):

--- 8< ----------------------------------------------------------------------
    <match key="@info.parent:info.subsystem" string="scsi">
      <match key="@info.parent:scsi.vendor" string="EPSON">
        <match key="@info.parent:scsi.model" string="Expression800">
          <match key="info.category" string="scsi_generic">
            <append key="info.capabilities" type="strlist">access_control</append>
            <merge key="access_control.file" type="copy_property">linux.device_file</merge>
            <merge key="access_control.type" type="string">scanner</merge>
          </match>
        </match>
      </match>
    </match>
--- >8 ----------------------------------------------------------------------

Unfortunately I can't remember if I contacted upstream about it, if so nothing happened :-(. I'll try to remember doing that when I'm through with the post-F11 mass triaging.
Comment 7 Fedora Update System 2009-06-17 05:54:35 EDT
sane-backends-1.0.20-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sane-backends-1.0.20-2.fc11
Comment 8 Nils Philippsen 2009-06-17 05:56:42 EDT
I've built sane-backends-1.0.20 which has provisions for these types of SCSI scanners. Please test once it hits updates-testing.
Comment 9 Matthew Saltzman 2009-06-17 21:59:41 EDT
I'll be upgrading to F11 soon, but in the meantime, is it possible to push a version to F10?

Thanks.
Comment 10 Nils Philippsen 2009-06-18 04:32:06 EDT
My fault, I somehow changed the product version to 11 instead of 10... Anyway, I've buid F-10 packages at the same time, please check it out:

https://admin.fedoraproject.org/updates/sane-backends-1.0.20-3.fc10
Comment 11 Fedora Update System 2009-06-19 09:41:09 EDT
sane-backends-1.0.20-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 12 Fedora Update System 2009-06-26 22:51:37 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 13 Fedora Update System 2009-07-02 01:55:31 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sane-backends'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6741
Comment 14 Matthew Saltzman 2009-07-03 18:55:11 EDT
Installed sane-backends-1.0.20-4.fc10 on server and client, and it seems to work now.

Thanks.
Comment 15 Fedora Update System 2009-07-22 17:42:37 EDT
sane-backends-1.0.20-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.